Package org.astrogrid.samp.web

# Interface AuthResourceBundle.Content

Enclosing class:
  `AuthResourceBundle`

public static interface AuthResourceBundle.Content
Defines the keys and value types required for a bundle of this class. See the English language implementation in `AuthResourceBundle_en` for example text.

All methods have no arguments and return a String. The methods with names that end "`Lines`" should return text which contains line breaks (`\n` characters). Each such line will be displayed as it stands in the GUI, so it shouldn't be too long.

The method names define the keys which can be used if a property resource file is used to supply the content.

## Method Summary

Modifier and Type
Method
Description
`String`
`adviceLines()`
Returns lines with advice on whether you should accept or decline.
`String`
`appIntroductionLines()`
Returns lines introducing the registration request.
`String`
`nameWord()`
Returns the word meaning "Name" (initial capitalised).
`String`
`noWord()`
Returns the word meaning "No" (initial capitalised).
`String`
`originWord()`
Returns the word meaning "Origin" (initial capitalised).
`String`
`privilegeWarningLines()`
Returns lines suitable explaining the privileges that a registered client will have.
`String`
`questionLine()`
Returns a line asking whether to authorize (yes/no).
`String`
`undeclaredWord()`
Returns the word meaning "undeclared" (not capitalised).
`String`
`windowTitle()`
Returns the title for the confirmation window.
`String`
`yesWord()`
Returns the word meaning "Yes" (initial capitalised).

## Method Details

### windowTitle

String windowTitle()
Returns the title for the confirmation window.

### appIntroductionLines

String appIntroductionLines()
Returns lines introducing the registration request.

### nameWord

String nameWord()
Returns the word meaning "Name" (initial capitalised).

### originWord

String originWord()
Returns the word meaning "Origin" (initial capitalised).

### undeclaredWord

String undeclaredWord()
Returns the word meaning "undeclared" (not capitalised).

### privilegeWarningLines

String privilegeWarningLines()
Returns lines suitable explaining the privileges that a registered client will have.

### adviceLines

String adviceLines()
Returns lines with advice on whether you should accept or decline.

### questionLine

String questionLine()
Returns a line asking whether to authorize (yes/no).

### yesWord

String yesWord()
Returns the word meaning "Yes" (initial capitalised).

### noWord

String noWord()
Returns the word meaning "No" (initial capitalised).